org.apache.olingo.commons.api.data

## Enum DeletedEntity.Reason

- java.lang.Object
- - java.lang.Enum<DeletedEntity.Reason>
  - - org.apache.olingo.commons.api.data.DeletedEntity.Reason

- All Implemented Interfaces:
    Serializable, Comparable<DeletedEntity.Reason>
  Enclosing class:
    DeletedEntity

      public static enum DeletedEntity.Reason
      extends Enum<DeletedEntity.Reason>

  Reason of the removal from the list

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `changed` The data of the entity has changed and is not any longer part of the response.
    `deleted` The entity was deleted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeletedEntity.Reason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeletedEntity.Reason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### deleted

          public static final DeletedEntity.Reason deleted

      The entity was deleted.

    - #### changed

          public static final DeletedEntity.Reason changed

      The data of the entity has changed and is not any longer part of the response.

  - ### Method Detail

    - #### values

          public static DeletedEntity.Reason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeletedEntity.Reason c : DeletedEntity.Reason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeletedEntity.Reason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.